package com.ynet.life.base;

import com.ynet.gene.log.GENELog;
import com.ynet.life.log.LifeLogInterceptor;
import java.util.Iterator;

/* loaded from: com_ynet_life_base.jar:com/ynet/life/base/Trace.class */
public class Trace extends GENELog {
    private static final int DEFAULT_LOG_TYPE = GENELog.WARNING;
    private static final int DEFAULT_LOG_LEVEL = 0;
    private static final String DEFAULT_LOG_COMPONENT = "LifeCore";
    public static final String COMPONENT_CORE = "LifeCore";
    public static final String COMPONENT_SESSION = "LifeSession";
    public static final String COMPONENT_ACTION = "LifeAction";
    public static final String COMPONENT_INVOKER = "LifeInvoker";
    public static final String COMPONENT_MAPPING = "LOAF";
    public static final String COMPONENT_JDBC = "LifeJDBC";
    public static final String COMPONENT_GWCli = "LifeGWCli";
    public static final String COMPONENT_GW = "LifeGW";
    public static final String COMPONENT_HTTP = "LifeHTTP";
    public static final String COMPONENT_TCPIP = "LifeTCPIP";
    public static final String COMPONENT_FTP = "LifeFTP";
    public static final String COMPONENT_FILE = "LifeFile";
    public static final String COMPONENT_XML = "LifeXML";
    public static final String COMPONENT_HTML = "LifeHTML";
    public static final String COMPONENT_WAP = "LifeWAP";
    public static final String COMPONENT_SECURITY = "LifeSecurity";
    public static final String COMPONENT_SEARCH = "LifeSearch";
    public static final String COMPONENT_MESSAGE = "LifeMsg";
    public static final String COMPONENT_THIRD = "LifeThird";
    public static final String COMPONENT_COMM = "LifeComm";

    private Trace() {
    }

    public static void log(String component, String message) {
        GENELog.log(component, DEFAULT_LOG_TYPE, 0, message);
    }

    public static void log(String component, int type, String message) {
        GENELog.log(component, type, 0, message);
    }

    public static void log(String component, int type, String message, Throwable e) {
        GENELog.log(component, type, 0, message, e);
    }

    public static void log(Throwable e) {
        log("LifeCore", DEFAULT_LOG_TYPE, "", e);
    }

    public static void log(String component, String message, String actionId) {
        Iterator it = GENELog.logInterceptors.iterator();
        while (true) {
            if (!it.hasNext()) {
                break;
            }
            Object obj = it.next();
            if (obj instanceof LifeLogInterceptor) {
                ((LifeLogInterceptor) obj).setThreadActionId(actionId);
                break;
            }
        }
        GENELog.log(component, GENELog.DEBUG, 0, message);
    }

    public static void logTrace(String component, String message) {
        log(component, GENELog.TRACE, message);
    }

    public static void logTrace(String component, String message, Throwable e) {
        log(component, GENELog.TRACE, message, e);
    }

    public static void logDebug(String component, String message) {
        log(component, GENELog.DEBUG, message);
    }

    public static void logDebug(String component, String message, Throwable e) {
        log(component, GENELog.DEBUG, message, e);
    }

    public static void logInfo(String component, String message) {
        log(component, GENELog.INFO, message);
    }

    public static void logInfo(String component, String message, Throwable e) {
        log(component, GENELog.INFO, message, e);
    }

    public static void logWarning(String component, String message) {
        log(component, GENELog.WARNING, message);
    }

    public static void logWarning(String component, String message, Throwable e) {
        log(component, GENELog.WARNING, message, e);
    }

    public static void logWarn(String component, String message) {
        log(component, GENELog.WARNING, message);
    }

    public static void logWarn(String component, String message, Throwable e) {
        log(component, GENELog.WARNING, message, e);
    }

    public static void logError(String component, String message) {
        log(component, GENELog.ERROR, message);
    }

    public static void logError(String component, String message, Throwable e) {
        log(component, GENELog.ERROR, message, e);
    }

    public static void logFatal(String component, String message) {
        log(component, GENELog.FATAL, message);
    }

    public static void logFatal(String component, String message, Throwable e) {
        log(component, GENELog.FATAL, message, e);
    }
}
